aboutsummaryrefslogtreecommitdiff
path: root/aux
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-02-25 11:26:53 -0300
committerEuAndreh <eu@euandre.org>2021-02-25 11:32:47 -0300
commit8824f47ead2bbe3cb9729c9c9cf717c0c5899815 (patch)
tree390d090539664349ff2bdcc362a2a9445bf0cb4b /aux
parentconfiguration.nix: Re-enable system cronjobs (diff)
downloaddotfiles-8824f47ead2bbe3cb9729c9c9cf717c0c5899815.tar.gz
dotfiles-8824f47ead2bbe3cb9729c9c9cf717c0c5899815.tar.xz
fake-symlinks: aux/workflow/dist.sh: Check CHANGELOG.md before creating tag
Diffstat (limited to 'aux')
-rwxr-xr-xaux/workflow/dist.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
index 45fc30a7..8f8f6170 100755
--- a/aux/workflow/dist.sh
+++ b/aux/workflow/dist.sh
@@ -2,16 +2,22 @@
set -eu
DATE="$1"
-VERSION="v$2"
+VERSION="$2"
+VVERSION="v$2"
-if git show "$VERSION" 1>/dev/null 2>/dev/null; then
- echo "Version '$VERSION' already exists."
+if git show "$VVERSION" 1>/dev/null 2>/dev/null; then
+ echo "Version '$VVERSION' already exists." >&2
exit 1
fi
if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
- echo "Date '$DATE' is not up-to-date."
+ echo "Date '$DATE' is not up-to-date." >&2
exit 1
fi
-git tag "$VERSION"
+if ! grep -q "^# $VERSION - $DATE$" CHANGELOG.md; then
+ echo "Missing '# $VERSION - $DATE' entry from CHANGELOG.md" >&2
+ exit 1
+fi
+
+git tag "$VVERSION"